#
# spec file for package grim
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           grim
Version:        1.1
Release:        1.1
Summary:        Wayland compositor image grabber
License:        MIT
Group:          Productivity/Graphics/Other
URL:            https://github.com/emersion/grim
Source:         https://github.com/emersion/grim/archive/v%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14

%description
This tool can grab images from a Wayland compositor.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*

%changelog
* Wed Feb  6 2019 mvetter@suse.com
- Update to 1.1:
  * Add an option to disable JPEG support at build-time
  * Add support for the WL_SHM_FORMAT_ABGR8888 format
  * Add various examples to README
* Tue Feb  5 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Fri Jan 25 2019 mvetter@suse.com
- Package grim 1.0 for openSUSE
